<template>
<div>
  <div class="navbar">
    <landing-page-navbar/>
  </div>

  <div class="subnavbar">
    <landing-page-subnavbar/>
  </div>

  <div class="wave">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1170 193">
      <path
      d="M1175 131.2c0 0-81-89.4-224.3-103.4S713 72 665 97c-86 46-148
      63-271 7C221.7 25.5 56 104.5-4 197.4 -4 58.7-3.3 0.3-3.3 0.3L1175 0V131.2z"/>
    </svg>
  </div>

  <!-- Use also ID here so scrollbar can be move to this element -->
  <div id="explanation"
  class="explanation">
    <h1>How it works</h1>
    <!-- <h3>
      Hodler List is a cryptocurrency portfolio marketplace.
    </h3>
    <h3>
      You share your portfolios and let others copy it.
      Or you copy portfolios of others.
    </h3> -->

    <br/>

    <ul class="explanation-type">
      <li @click="onCopyPortfolioExplanationButtonClick">
        <app-button
        :buttonType="'select'"
        :buttonValue="'Copying portfolio'"
        :isSelected="copyPortfolioExplanationButtonSelected">
        </app-button>
      </li>

      <li @click="onSharePortfolioExplanationButtonClick">
        <app-button
        :buttonType="'select'"
        :buttonValue="'Sharing portfolio'"
        :isSelected="!copyPortfolioExplanationButtonSelected">
        </app-button>
      </li>
    </ul>

    <transition name="component-fade" mode="out-in">
      <component v-bind:is="activeExplanationComponent"/>
    </transition>
  </div>

  <landing-page-email-form/>

  <landing-page-footer/>
</div>
</template>

<script>
import AppButton from '@/components/AppButton';
import LandingPageNavbar from '@/components/LandingPageNavbar';
import LandingPageSubnavbar from '@/components/LandingPageSubnavbar';
import LandingPageCopyingExplanation from '@/components/LandingPageCopyingExplanation';
import LandingPageSharingExplanation from '@/components/LandingPageSharingExplanation';
import LandingPageEmailForm from '@/components/LandingPageEmailForm';
import LandingPageFooter from '@/components/LandingPageFooter';

export default {
  name: 'LandingPage',
  components: {
    AppButton,
    LandingPageNavbar,
    LandingPageSubnavbar,
    LandingPageCopyingExplanation,
    LandingPageSharingExplanation,
    LandingPageEmailForm,
    LandingPageFooter,
  },
  data() {
    return {
      copyPortfolioExplanationButtonSelected: true,
    };
  },
  computed: {
    activeExplanationComponent() {
      if (this.copyPortfolioExplanationButtonSelected) {
        return 'LandingPageCopyingExplanation';
      }

      return 'LandingPageSharingExplanation';
    },
  },
  methods: {
    onCopyPortfolioExplanationButtonClick() {
      if (!this.copyPortfolioExplanationButtonSelected) {
        this.copyPortfolioExplanationButtonSelected = true;
      }
    },

    onSharePortfolioExplanationButtonClick() {
      if (this.copyPortfolioExplanationButtonSelected) {
        this.copyPortfolioExplanationButtonSelected = false;
      }
    },
  },
};
</script>

<style lang="scss" scoped>
@import '~styles/colors.scss';

hr {
  height: 1px;
  width: 80%;
  border: none;

  background-color: $line-color;
}

.navbar {
  position: relative; /* without this box-shadow is covered by gradient of .subnavbar */
  padding: 0.1em 2em;
  background-color: white;

  box-shadow: rgb(163, 163, 163) 0px 0px 10px;
}

.subnavbar {
  padding: 1.2em 15em;
  background: linear-gradient(135deg, $gradient-left 0%, $gradient-right 100%);
  color: $text-secondary;
}

.wave {
  position: relative;
  height: 0;
  top: 1px;
  transform: rotate(180deg);

  path {
    fill: $background-white;
  }
}

.explanation {
  margin: 2em 1em 3em 1em;
  padding: 1.2em 0.8em;

  min-height: 310px;

  border-radius: 0.7em;
  background-color: $background-white;

  h3 {
    font-weight: 400;
  }
}

.explanation-type {
  padding: 0;

  display: flex;
  justify-content: space-around;

  overflow: visible;

  border-bottom: 1px solid $line-color;

  li {
    margin-bottom: -1px; /* Fix the underline positioning */
    list-style: none;
    min-width: 200px;
  }
}

/* Explanation components transition */
.component-fade-enter-active, .component-fade-leave-active {
  transition: opacity .3s ease;
}

.component-fade-enter, .component-fade-leave-to {
  opacity: 0;
}

@media screen and (max-width: 425px) {
  .explanation {
    margin: 0em 0.4em 3em 0.4em;
    border-radius: 0;
  }

  .explanation-type {
    overflow: hidden;
    overflow-x: scroll;
  }
}

@media screen and (max-width: 768px) {
  .subnavbar {
    display: block;
    max-width: 100%;

    padding: 1.5em 1em;
  }

  .explanation-type {
    justify-content: space-between;
  }
}

@media screen and (max-width: 1024px) {
  .subnavbar {
    padding: 1.5em 2em;
  }
}
</style>
